#ifndef FRICTION_WRITER_HH
#define FRICTION_WRITER_HH

#include <fstream>

template <class BitVector> class FrictionWriter {
public:
  FrictionWriter(BitVector const &_boundaryNodes);

  ~FrictionWriter();

  template <class ScalarVector, class Vector>
  void writeInfo(ScalarVector const &coefficient, ScalarVector const &alpha,
                 Vector const &u, Vector const &v);

private:
  std::fstream coefficientWriter;
  std::fstream displacementWriter;
  std::fstream stateWriter;
  std::fstream velocityWriter;
  BitVector const &boundaryNodes;
};
#endif
